<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b5beace6-e4f4-419b-8299-c67e17af5998" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Modules/Camera/Enum/CameraEnum.php" beforeDir="false" afterPath="$PROJECT_DIR$/Modules/Camera/Enum/CameraEnum.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php" beforeDir="false" afterPath="$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/Enum/ApiEnum.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/Enum/ApiEnum.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/Http/Controllers/TestsController.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/Http/Controllers/TestsController.php" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="502">
              <caret line="965" column="38" lean-forward="true" selection-start-line="965" selection-start-column="38" selection-end-line="965" selection-end-column="38" />
              <folding>
                <element signature="e#129#150#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/TdwyController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="386">
              <caret line="97" column="31" selection-start-line="97" selection-start-column="20" selection-end-line="97" selection-end-column="31" />
              <folding>
                <element signature="e#140#184#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Http/Controllers/TestsController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="294">
              <caret line="37" column="37" lean-forward="true" selection-start-line="37" selection-start-column="37" selection-end-line="37" selection-end-column="37" />
              <folding>
                <element signature="e#6#91#0#PHP" expanded="true" />
                <element signature="e#126#164#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/CameraApiController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="522">
              <caret line="82" column="49" selection-start-line="82" selection-start-column="49" selection-end-line="82" selection-end-column="49" />
              <folding>
                <element signature="e#141#162#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/HaiKangController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="253">
              <caret line="313" column="13" selection-start-line="313" selection-start-column="4" selection-end-line="313" selection-end-column="13" />
              <folding>
                <element signature="e#141#185#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Modules/Camera/Enum/CameraEnum.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="253">
              <caret line="77" column="10" selection-start-line="77" selection-start-column="10" selection-end-line="77" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>timez</find>
      <find>switch</find>
      <find>getList</find>
      <find>getUrl</find>
      <find>getCamerasUrl</find>
      <find>exists()</find>
      <find>编辑摄像头</find>
      <find>code_stream</find>
      <find>getHaiKangCameraUrl</find>
      <find>=====</find>
      <find>Log::info</find>
      <find>radion</find>
      <find>radio</find>
      <find>流媒体</find>
      <find>请求流媒体</find>
      <find>exec</find>
      <find>编辑</find>
      <find>regionInfo</find>
      <find>getCamerasList</find>
      <find>RE</find>
      <find>CAMERA_S</find>
      <find>cover_picture</find>
      <find>cameraUploadCpicture</find>
      <find>subResources</find>
      <find>getAreaList</find>
      <find>'degree', 'like'</find>
      <find>EASY_DARWIN_URL</find>
      <find>cache</find>
      <find>cache:</find>
      <find>Cache::</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/Http/Controllers/Api/BaseController.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Enum/MineEnum.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-05-08.log" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_05_11_092132_add_camera_type_to_camera_list.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-05-11.log" />
        <option value="$PROJECT_DIR$/routes/web.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Jobs/CameraDownload.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Database/Migrations/2021_05_19_033907_add_field_to_mine_list.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_05_19_070340_add_field_to_camera_list_05191503.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Entities/MineList.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Traits/ClassifyMethod.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_04_23_032650_update_camera_list_table_fields.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Database/Migrations/2021_05_26_074955_create_working_surface_table.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Entities/WorkingSurface.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Http/Controllers/MineController.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-05-31.log" />
        <option value="$PROJECT_DIR$/Modules/Mine/Entities/WorkingSurfaceCamera.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Database/Migrations/2021_05_31_023512_create_working_sruface_camera_table.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Routes/web.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Routes/api.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Routes/api.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Database/Migrations/2021_06_07_065202_add_field_to_working_surface_0607.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Enum/SurfaceEnum.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Http/Controllers/SurfaceController.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Services/SurfaceServices.php" />
        <option value="$PROJECT_DIR$/Modules/Admin/Database/Seeders/AdminDatabaseSeeder.php" />
        <option value="$PROJECT_DIR$/.env" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_08_02_074532_add_is_show_to_camera_list.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-08-02.log" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_08_05_095128_add_code_stream_to_camera_list.php" />
        <option value="$PROJECT_DIR$/config/filesystems.php" />
        <option value="$PROJECT_DIR$/storage/logs/laravel-2021-08-10.log" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_08_10_102022_add_cover_picture_to_camera_list.php" />
        <option value="$PROJECT_DIR$/config/app.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Http/Controllers/Api/MineApiController.php" />
        <option value="$PROJECT_DIR$/Modules/Mine/Services/MineServices.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_12_22_162404_add_field_to_camera_list.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Entities/CameraList.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Jobs/CameraListExcel.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Database/Migrations/2022_01_21_151316_add_field_to_camera_list_2021_01_21.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Routes/web.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Http/Controllers/CameraController.php" />
        <option value="$PROJECT_DIR$/app/Console/Commands/UpdateCameraStatus.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/HaiKangController.php" />
        <option value="$PROJECT_DIR$/app/Console/Commands/UpdateHkList.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/TdwyController.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/TestsController.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/CameraApiController.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Enum/CameraEnum.php" />
        <option value="$PROJECT_DIR$/app/Enum/ApiEnum.php" />
        <option value="$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php" />
      </list>
    </option>
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/erusev/parsedown" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/fzaninotto/faker" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/deprecation-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-iconv" />
      <path value="$PROJECT_DIR$/vendor/symfony/mime" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php80" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn" />
      <path value="$PROJECT_DIR$/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-client-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/css-selector" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/laravel/tinker" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/symfony/error-handler" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/laravel/framework" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/debug" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/vendor/doctrine/inflector" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-normalizer" />
      <path value="$PROJECT_DIR$/vendor/psr/simple-cache" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php72" />
      <path value="$PROJECT_DIR$/vendor/tijsverkoyen/css-to-inline-styles" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-kernel" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php73" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/opis/closure" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/var-dumper" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/vlucas/phpdotenv" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/dragonmantank/cron-expression" />
      <path value="$PROJECT_DIR$/vendor/nesbot/carbon" />
      <path value="$PROJECT_DIR$/vendor/nunomaduro/collision" />
      <path value="$PROJECT_DIR$/vendor/psy/psysh" />
      <path value="$PROJECT_DIR$/vendor/fideloper/proxy" />
      <path value="$PROJECT_DIR$/vendor/php-parallel-lint/php-console-highlighter" />
      <path value="$PROJECT_DIR$/vendor/php-parallel-lint/php-console-color" />
      <path value="$PROJECT_DIR$/vendor/paragonie/random_compat" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/phpoption/phpoption" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/dnoegel/php-xdg-base-dir" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/swiftmailer/swiftmailer" />
      <path value="$PROJECT_DIR$/vendor/mockery/mockery" />
      <path value="$PROJECT_DIR$/vendor/egulias/email-validator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/filp/whoops" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/ramsey/uuid" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/monolog/monolog" />
      <path value="$PROJECT_DIR$/vendor/beyondcode/laravel-dump-server" />
      <path value="$PROJECT_DIR$/vendor/league/mime-type-detection" />
      <path value="$PROJECT_DIR$/vendor/league/flysystem" />
      <path value="$PROJECT_DIR$/vendor/hamcrest/hamcrest-php" />
      <path value="$PROJECT_DIR$/vendor/nwidart/laravel-modules" />
      <path value="$PROJECT_DIR$/vendor/doctrine/cache" />
      <path value="$PROJECT_DIR$/vendor/doctrine/event-manager" />
      <path value="$PROJECT_DIR$/vendor/doctrine/deprecations" />
      <path value="$PROJECT_DIR$/vendor/doctrine/dbal" />
      <path value="$PROJECT_DIR$/vendor/psr/http-message" />
      <path value="$PROJECT_DIR$/vendor/symfony/psr-http-message-bridge" />
      <path value="$PROJECT_DIR$/vendor/laravel/passport" />
      <path value="$PROJECT_DIR$/vendor/psr/http-factory" />
      <path value="$PROJECT_DIR$/vendor/league/event" />
      <path value="$PROJECT_DIR$/vendor/league/oauth2-server" />
      <path value="$PROJECT_DIR$/vendor/firebase/php-jwt" />
      <path value="$PROJECT_DIR$/vendor/defuse/php-encryption" />
      <path value="$PROJECT_DIR$/vendor/phpseclib/phpseclib" />
      <path value="$PROJECT_DIR$/vendor/lcobucci/jwt" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/guzzle" />
      <path value="$PROJECT_DIR$/vendor/ralouphie/getallheaders" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/promises" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/psr7" />
      <path value="$PROJECT_DIR$/vendor/zendframework/zend-diactoros" />
      <path value="$PROJECT_DIR$/vendor/overtrue/pinyin" />
      <path value="$PROJECT_DIR$/vendor/box/spout" />
      <path value="$PROJECT_DIR$/vendor/predis/predis" />
      <path value="$PROJECT_DIR$/vendor/jacobcyl/ali-oss-storage" />
      <path value="$PROJECT_DIR$/vendor/aliyuncs/oss-sdk-php" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="x" value="726" />
    <option name="width" value="714" />
    <option name="height" value="900" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Console" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Console" type="462c0819:PsiDirectoryNode" />
              <item name="Commands" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
              <item name="Camera" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
              <item name="Camera" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
              <item name="Camera" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
              <item name="Camera" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
              <item name="Api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="video_system" type="b2602c69:ProjectViewProjectNode" />
              <item name="video_system" type="462c0819:PsiDirectoryNode" />
              <item name="routes" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/Modules/Admin" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="phpunit.xml" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner scope="XML" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b5beace6-e4f4-419b-8299-c67e17af5998" name="Default Changelist" comment="" />
      <created>1618368322468</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1618368322468</updated>
      <workItem from="1618368323697" duration="143000" />
      <workItem from="1618368497550" duration="219162000" />
      <workItem from="1621301484015" duration="27589000" />
      <workItem from="1630892986792" duration="13946000" />
      <workItem from="1640681616752" duration="486000" />
      <workItem from="1641785500605" duration="61000" />
      <workItem from="1641786030534" duration="477000" />
      <workItem from="1641800375826" duration="26685000" />
      <workItem from="1643085370753" duration="22739000" />
      <workItem from="1644194909678" duration="1729000" />
      <workItem from="1645500713676" duration="8402000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="496362000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1440" height="900" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.17095852" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" weight="0.32961586" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_08_05_095128_add_code_stream_to_camera_list.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="546">
          <caret line="28" column="46" selection-start-line="28" selection-start-column="46" selection-end-line="28" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/bootstrap/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-153" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/symfony/http-foundation/File/UploadedFile.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="100" column="20" selection-start-line="100" selection-start-column="20" selection-end-line="100" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/jacobcyl/ali-oss-storage/src/AliOssServiceProvider.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="166">
          <caret line="33" column="21" selection-start-line="33" selection-start-column="12" selection-end-line="33" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/storage/logs/laravel-2021-08-10.log">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-840" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_08_10_102022_add_cover_picture_to_camera_list.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="16" column="62" selection-start-line="16" selection-start-column="62" selection-end-line="16" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/filedownload/test.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Auxiliary/View/TableAuxiliary.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="123" column="20" selection-start-line="123" selection-start-column="20" selection-end-line="123" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Auxiliary/View/FromAuxiliary.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="214" column="20" selection-start-line="214" selection-start-column="20" selection-end-line="214" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="356">
          <caret line="67" column="6" lean-forward="true" selection-start-line="67" selection-start-column="6" selection-end-line="67" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Routes/api.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Resources/views/component/template_from.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3025">
          <caret line="202" column="39" selection-start-line="202" selection-start-column="34" selection-end-line="202" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Resources/views/component/template_table_list.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3224">
          <caret line="325" column="15" selection-start-line="325" selection-start-column="15" selection-end-line="325" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Http/Controllers/BaseController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="610">
          <caret line="160" column="64" selection-start-line="160" selection-start-column="45" selection-end-line="160" selection-end-column="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Http/Controllers/AdminController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-227" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Enum/AdminEnum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="273">
          <caret line="18" column="3" lean-forward="true" selection-start-line="18" selection-start-column="3" selection-end-line="18" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/database.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-393" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Jobs/CameraListExcel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="340">
          <caret line="96" lean-forward="true" selection-start-line="96" selection-end-line="96" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Database/Migrations/2021_12_22_162404_add_field_to_camera_list.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="16" column="47" selection-start-line="16" selection-start-column="33" selection-end-line="16" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Database/Migrations/2022_01_21_151316_add_field_to_camera_list_2021_01_21.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="546">
          <caret line="28" column="48" selection-start-line="28" selection-start-column="48" selection-end-line="28" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Routes/api.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="231">
          <caret line="20" column="47" selection-start-line="20" selection-start-column="47" selection-end-line="20" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Helpers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1911">
          <caret line="96" column="25" selection-start-line="96" selection-start-column="20" selection-end-line="96" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/standard/standard_2.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="700" column="40" selection-start-line="700" selection-start-column="40" selection-end-line="700" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/filesystems.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="522">
          <caret line="71" column="40" lean-forward="true" selection-start-line="71" selection-start-column="40" selection-end-line="71" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Routes/web.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="25" column="86" selection-start-line="25" selection-start-column="66" selection-end-line="25" selection-end-column="86" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Mine/Routes/api.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="420">
          <caret line="20" column="61" selection-start-line="20" selection-start-column="50" selection-end-line="20" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/seeds/Modules/Admin/Database/Seeders/MenuTableSeeder.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/database/seeds/DatabaseSeeder.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/aliyuncs/oss-sdk-php/src/OSS/Result/PutSetDeleteResult.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="9" column="6" selection-start-line="9" selection-start-column="6" selection-end-line="9" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/aliyuncs/oss-sdk-php/src/OSS/Result/Result.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="52" column="20" selection-start-line="52" selection-start-column="20" selection-end-line="52" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/aliyuncs/oss-sdk-php/src/OSS/OssClient.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="682">
          <caret line="1715" column="29" lean-forward="true" selection-start-line="1715" selection-start-column="29" selection-end-line="1715" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Console/Kernel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-6" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.env">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="777">
          <caret line="37" lean-forward="true" selection-start-line="37" selection-end-line="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Console/Commands/StopStreamDelFiles.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="766">
          <caret line="40" column="33" lean-forward="true" selection-start-line="40" selection-start-column="33" selection-end-line="40" selection-end-column="33" />
          <folding>
            <element signature="e#40#71#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Console/Commands/UpdateCameraStatus.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="441">
          <caret line="69" column="50" selection-start-line="69" selection-start-column="50" selection-end-line="69" selection-end-column="50" />
          <folding>
            <element signature="e#40#71#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/CameraController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="7108">
          <caret line="472" column="31" selection-start-line="472" selection-start-column="31" selection-end-line="472" selection-end-column="31" />
          <folding>
            <element signature="e#51#107#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Traits/ClassifyMethod.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="256">
          <caret line="49" column="20" selection-start-line="49" selection-start-column="20" selection-end-line="49" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Mine/Http/Controllers/MineController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="771">
          <caret line="131" column="46" selection-start-line="131" selection-start-column="46" selection-end-line="131" selection-end-column="46" />
          <folding>
            <element signature="e#49#93#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Mine/Services/MineServices.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="197">
          <caret line="166" column="21" lean-forward="true" selection-start-line="166" selection-start-column="21" selection-end-line="166" selection-end-column="21" />
          <folding>
            <element signature="e#127#148#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Entities/CameraList.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="231">
          <caret line="12" column="124" selection-start-line="12" selection-start-column="124" selection-end-line="12" selection-end-column="124" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Mine/Http/Controllers/Api/MineApiController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="43" column="31" selection-start-line="43" selection-start-column="20" selection-end-line="43" selection-end-column="31" />
          <folding>
            <element signature="e#139#160#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Admin/Services/MenusService.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="257">
          <caret line="38" column="13" lean-forward="true" selection-start-line="36" selection-start-column="12" selection-end-line="38" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/TdwyController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="386">
          <caret line="97" column="31" selection-start-line="97" selection-start-column="20" selection-end-line="97" selection-end-column="31" />
          <folding>
            <element signature="e#140#184#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Console/Commands/UpdateHkList.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="705">
          <caret line="170" column="55" selection-start-line="170" selection-start-column="55" selection-end-line="170" selection-end-column="55" />
          <folding>
            <element signature="e#40#71#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/HaiKangController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="313" column="13" selection-start-line="313" selection-start-column="4" selection-end-line="313" selection-end-column="13" />
          <folding>
            <element signature="e#141#185#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Http/Controllers/Api/CameraApiController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="522">
          <caret line="82" column="49" selection-start-line="82" selection-start-column="49" selection-end-line="82" selection-end-column="49" />
          <folding>
            <element signature="e#141#162#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/TestsController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="37" column="37" lean-forward="true" selection-start-line="37" selection-start-column="37" selection-end-line="37" selection-end-column="37" />
          <folding>
            <element signature="e#6#91#0#PHP" expanded="true" />
            <element signature="e#126#164#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Mine/Enum/MineEnum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="168">
          <caret line="13" column="30" lean-forward="true" selection-start-line="13" selection-start-column="30" selection-end-line="13" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Enum/CameraEnum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="77" column="10" selection-start-line="77" selection-start-column="10" selection-end-line="77" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Enum/ApiEnum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="630">
          <caret line="35" column="36" selection-start-line="35" selection-start-column="10" selection-end-line="35" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Modules/Camera/Services/CameraServices.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="502">
          <caret line="965" column="38" lean-forward="true" selection-start-line="965" selection-start-column="38" selection-end-line="965" selection-end-column="38" />
          <folding>
            <element signature="e#129#150#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>